DragIndicatorRenderer (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.renderkit.html.DragIndicatorRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class DragIndicatorRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.TemplateEncoderRendererBase
                      org.richfaces.renderkit.DragIndicatorRendererBase
                          org.richfaces.renderkit.html.DragIndicatorRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

    public class DragIndicatorRenderer

extends DragIndicatorRendererBase

Renderer for component class org.richfaces.renderkit.html.DragIndicatorRenderer

Field Summary

Fields inherited from class org.richfaces.renderkit.DragIndicatorRendererBase
`ACCEPT, ACCEPT_CLASS, DEFAULT, FACETS_PREDEFINED, MARKERS_PREDEFINED, MULTI, REJECT, REJECT_CLASS, SINGLE`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`DragIndicatorRenderer()`

Method Summary
`void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIDragIndicator component, org.ajax4jsf.renderkit.ComponentVariables variables)`
`void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIDragIndicator component, org.ajax4jsf.renderkit.ComponentVariables variables)`
`protected java.lang.Class` | `getComponentClass()` Get base component class, targetted for this renderer.
`protected org.ajax4jsf.resource.InternetResource[]` | `getScripts()`
`protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()`

Methods inherited from class org.richfaces.renderkit.DragIndicatorRendererBase
`encodeChildren, encodeChildScripts, encodeDnDParams, encodeNamespace, getPredefinedMarker, notHasFacet`

Methods inherited from class org.richfaces.renderkit.TemplateEncoderRendererBase
`createContentHandler, getRendersChildren, main, writeScriptBody, writeScriptBody`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeChildren, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragIndicatorRenderer

    public DragIndicatorRenderer()

Method Detail

### getScripts

    protected org.ajax4jsf.resource.InternetResource[] getScripts()

  Overrides:
    `getScripts` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

### getStyles

    protected org.ajax4jsf.resource.InternetResource[] getStyles()

  Overrides:
    `getStyles` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

### getComponentClass

    protected java.lang.Class getComponentClass()

  Get base component class, targetted for this renderer. Used for check arguments in decode/encode.

  Overrides:
    `getComponentClass` in class `DragIndicatorRendererBase`
  Returns:

### doEncodeBegin

    public void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                       throws java.io.IOException

  Overrides:
    `doEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### doEncodeBegin

    public void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              UIDragIndicator component,
                              org.ajax4jsf.renderkit.ComponentVariables variables)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### doEncodeEnd

    public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                            javax.faces.context.FacesContext context,
                            UIDragIndicator component,
                            org.ajax4jsf.renderkit.ComponentVariables variables)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### doEncodeEnd

    public void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                            javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.